SaleSearchItem

Summary row for a sale in search results. Use GET /sales/{sale_id} for the full Sale.

Fields

  • idstringrequired

    Sale identifier.

    Example: "dbe3178d-4b83-5024-9b26-9b8e1b280514"

  • statestringrequired
    Options:"CLOSED"

    Lifecycle state of the sale. Non-finalised sales are never returned; only fully-paid sales.

    Example: "CLOSED"

  • tax_modestringrequired
    Options:"NO_TAX""GROSS""NET"

    Checkout tax mode for the sale. Same values as Sale.tax_mode.

    Example: "NO_TAX"

  • currencyobjectrequired

    The currency of the sale.

    Show 2 properties
    • codestringrequired
      format: iso-4217minLength: 3maxLength: 3

      3-letter currency code as defined by ISO-4217.

      Example: "EUR"

    • scaleintegerrequired

      The scaling factor to apply to the value to arrive at the currency's major unit. Providing a scale mitigates changes to the minor unit over time, for example due to inflation. For example, if scale is denoted by s and value is denoted by v is the value, then one arrives at the major currency value by calculating v / 10^s.

      Example: 2

  • total_amountintegerrequired
    format: int64

    Final sale gross total after discounts and taxes, excluding tips. Same value as Sale.price.gross_amount, in minor units according to currency.scale. Payment amounts include tips and can therefore differ from this total.

    Example: 1250

  • created_atstringrequired
    format: date-time

    Instant when the sale was created.

    Example: "2026-06-01T14:30:00Z"

  • closed_atstringrequired
    format: date-time

    Instant when the sale was closed. Always present: non-finalised sales are never returned.

    Example: "2026-06-01T14:35:00Z"

  • user_idstring
    format: uuid

    Identity UUID of the cashier who processed the sale. Omitted when the cashier identity is unknown.

    Example: "d6f51684-519b-454c-bdb3-deeb05f52b92"

  • namestring

    Display name of the sale when set; otherwise a concatenation of item names with quantities. Omitted when neither is available.

    Example: "Order 1234"

Type to search…